
Website Monitoring - Feature #1106

Ability to batch create inputs

11/05/2015 06:32 PM - Luke Murphey

Status: Closed Start date: 07/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6   

Description

Make view that allows users to create a series of inputs at the same time: 

https://answers.splunk.com/answers/323263/can-i-add-website-monitors-directly-to-config-file.html

Subtasks:

Feature # 1401: Show warning messages on batch input form Closed

Feature # 1402: Input validation for batch input Closed

Feature # 1403: Progress for batch input creation Closed

Feature # 1404: Link from creation page to batch creation form Closed

Task # 1405: Test feature with user privs Closed

Feature # 1406: Don't create inputs for URLs already monitored Closed

History

#1 - 07/19/2016 07:38 PM - Luke Murphey

https://answers.splunk.com/answers/433085/bulk-import-urls-into-website-monitoring-app.html

#2 - 07/19/2016 07:46 PM - Luke Murphey

It seems the form that should do this needs to include:

An input box that includes the list of URLs

An input for the interval

Batch creation options:    ** Don't create if an input exists for the URL already

The title and stanza name need to be created on the fly, This can be done by parsing the URL and extracting domain name.

#3 - 07/19/2016 08:47 PM - Luke Murphey

Can use this for defining the URLs: https://bootstrap-tagsinput.github.io/bootstrap-tagsinput/examples/bootstrap-2.3.2.html

#4 - 07/19/2016 08:58 PM - Luke Murphey

http://docs.splunk.com/Documentation/Splunk/6.4.1/RESTREF/RESTinput

#5 - 07/19/2016 09:03 PM - Luke Murphey

Inputs are made by POSTing to http://127.0.0.1:8000/en-US/manager/website_monitoring/data/inputs/web_ping/_new

#6 - 07/19/2016 09:15 PM - Luke Murphey

Might want to lock out controls while inputs are being made.

#7 - 07/19/2016 10:14 PM - Luke Murphey

https://answers.splunk.com/answers/329221/programatically-create-a-new-website-input.html
#8 - 07/19/2016 11:49 PM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 1.6

#9 - 07/20/2016 01:49 AM - Luke Murphey

Need to test creation of inputs stanza names while they are created so that collisions don't happen when the loop created a new stanza name that

prevents another in the list from becoming a duplicate.

#10 - 07/20/2016 06:46 AM - Luke Murphey

Might make sense to include a count of the inputs to be made.

#11 - 07/29/2016 04:11 AM - Luke Murphey

- Status changed from New to Closed
